package com.ag.log.pojo;

import com.ag.base.ISerializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springframework.jdbc.support.lob.LobCreator;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统操作日志
 * @TableName sys_oper_log
 */
public class SysOperLog implements ISerializable {
    /**
     * 
     */
    private String id;

    /**
     * 
     */
    private String bean;

    /**
     * 
     */
    private String method;

    /**
     * 
     */
    private String createdBy;

    /**
     * 
     */
    private Date createdOn;

    /**
     * 
     */
    private String ip;

    /**
     * 
     */
    private String params;

    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public String getBean() {
        return bean;
    }

    public void setBean(String bean) {
        this.bean = bean;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    @Override
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    @Override
    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}